--- kbabel/catalogmanager/main.cpp.orig	Wed Apr  3 09:22:54 2002
+++ kbabel/catalogmanager/main.cpp	Wed Apr  3 09:23:06 2002
@@ -144,7 +144,7 @@
 int main(int argc, char **argv)
 {
     KLocale::setMainCatalogue("kbabel");
-    KAboutData about("catalogmanager",I18N_NOOP("KBabel - Catalog Manager"),VERSION,
+    KAboutData about("catalogmanager",I18N_NOOP("KBabel - Catalog Manager"),_VERSION,
        I18N_NOOP("An advanced catalog manager for KBabel, PO-file editor"),KAboutData::License_GPL,
        "(c) 1999,2000,2001,2002 The KBabel developers",0,"http://i18n.kde.org/tools/kbabel");
 
--- kbabel/common/libgettext/fstrcmp.c.orig	Tue Apr  2 16:58:58 2002
+++ kbabel/common/libgettext/fstrcmp.c	Tue Apr  2 17:00:12 2002
@@ -34,6 +34,10 @@
 # include "config.h"
 #endif
 
+#ifdef _AIX
+# define HAVE_LIMITS_H
+#endif
+
 #ifdef HAVE_STRING_H
 # include <string.h>
 #else
--- kbabel/common/libgettext/system.h.orig	Tue Apr  2 17:01:00 2002
+++ kbabel/common/libgettext/system.h	Tue Apr  2 17:01:14 2002
@@ -104,7 +104,7 @@
 
 /* Before we define the following symbols we get the <limits.h> file if
    available since otherwise we get redefinitions on some systems.  */
-#if HAVE_LIMITS_H
+#ifdef HAVE_LIMITS_H
 # include <limits.h>
 #endif
 
--- kbabel/common/catalog.cpp.orig	Wed Apr  3 09:23:41 2002
+++ kbabel/common/catalog.cpp	Wed Apr  3 09:24:09 2002
@@ -378,7 +378,7 @@
    }
 
    temp="X-Generator: KBabel %1\\n";
-   temp=temp.arg(VERSION);
+   temp=temp.arg(_VERSION);
    found=false;
 
    for( it = headerList.begin(); it != headerList.end(); ++it )
--- kbabel/kbabel/main.cpp.orig	Wed Apr  3 09:24:56 2002
+++ kbabel/kbabel/main.cpp	Wed Apr  3 09:25:03 2002
@@ -362,7 +362,7 @@
 
 int main(int argc, char **argv)
 {
-    KAboutData about("kbabel",I18N_NOOP("KBabel"),VERSION,
+    KAboutData about("kbabel",I18N_NOOP("KBabel"),_VERSION,
        I18N_NOOP("An advanced PO-file editor"),KAboutData::License_GPL,
        I18N_NOOP("(c) 1999,2000,2001,2002 The KBabel developers"),0,"http://i18n.kde.org/tools/kbabel");
 
--- kbabel/kbabel/kbabelview.cpp.orig	Wed Apr  3 09:25:10 2002
+++ kbabel/kbabel/kbabelview.cpp	Wed Apr  3 09:25:20 2002
@@ -156,7 +156,7 @@
 "and the behavior of KBabel and to Stephan Kulow, who always\n"
 "lends me a helping hand.\n\n"
 "Many good ideas, especially for the Catalog Manager are taken\n"
-"from KTranslator by Andrea Rizzi.").arg(VERSION).arg(2002));
+"from KTranslator by Andrea Rizzi.").arg(_VERSION).arg(2002));
 
     QLabel *label=new QLabel(msgidLabel,i18n("O&riginal String (msgid):"),tempWidget);
 
--- kbabel/kbabel/kbabel.cpp.orig	Wed Apr  3 09:25:26 2002
+++ kbabel/kbabel/kbabel.cpp	Wed Apr  3 09:25:32 2002
@@ -276,7 +276,7 @@
       QTimer::singleShot(1,this,SLOT(optionsPreferences()));
     }
 
-    config->writeEntry("Version",VERSION);
+    config->writeEntry("Version",_VERSION);
     config->sync();
 }
 
--- kbabel/kbabeldict/main.cpp.orig	Wed Apr  3 09:25:50 2002
+++ kbabel/kbabeldict/main.cpp	Wed Apr  3 09:25:58 2002
@@ -101,7 +101,7 @@
 {
     KLocale::setMainCatalogue("kbabel");
     
-    KAboutData about("kbabeldict",I18N_NOOP("KBabel - Dictionary"),VERSION,
+    KAboutData about("kbabeldict",I18N_NOOP("KBabel - Dictionary"),_VERSION,
        I18N_NOOP("A dictionary for translators"),KAboutData::License_GPL,
        I18N_NOOP("(c) 2000,2001,2002 The KBabeldict developers"),0,"http://i18n.kde.org/tools/kbabel");
 
--- poxml/antlr/antlr/config.hpp.orig	Wed Apr  3 10:52:10 2002
+++ poxml/antlr/antlr/config.hpp	Wed Apr  3 10:52:32 2002
@@ -148,12 +148,8 @@
 #define NO_STRCASECMP
 #endif
 
-#ifdef __IBMCPP__ // IBM VisualAge C++ ( which includes the Dinkumware C++ Library )
-
-// No strcasecmp in the C library (so use stricmp instead)
-// - Anyone know which is in which standard?
-#define NO_STRCASECMP
-
+#ifdef _AIX
+#include <strings.h>
 #endif
 
 //
--- kbabel/common/Makefile.am.orig	Wed Apr  3 12:48:45 2002
+++ kbabel/common/Makefile.am	Wed Apr  3 12:48:57 2002
@@ -33,7 +33,7 @@
 METASOURCES = AUTO
 
 version.h: $(top_srcdir)/kbabel/VERSION
-	printf "#undef VERSION\n#define VERSION \"`cat $(top_srcdir)/kbabel/VERSION`\"\n" > version.h
+	printf "#undef _VERSION\n#define _VERSION \"`cat $(top_srcdir)/kbabel/VERSION`\"\n" > version.h
 
 $(srcdir)/catalog.cpp: version.h
 
--- kbabel/kbabeldict/Makefile.am.orig	Wed Apr  3 12:49:37 2002
+++ kbabel/kbabeldict/Makefile.am	Wed Apr  3 12:49:47 2002
@@ -62,5 +62,5 @@
 ($srcdir)/main.cpp: version.h
 
 version.h:	$(top_srcdir)/kbabel/VERSION
-	printf "#undef VERSION\n#define VERSION \"`cat $(top_srcdir)/kbabel/VERSION`\"\n" > version.h
+	printf "#undef _VERSION\n#define _VERSION \"`cat $(top_srcdir)/kbabel/VERSION`\"\n" > version.h
     
